package org.example

import org.example.data.UserRepository
import org.example.data.UserRepositoryImpl
import org.example.domain.UserUseCaseImpl
import org.example.ui.UserUI

fun main() {
    val userRepository = UserRepositoryImpl()
    val userUseCase = UserUseCaseImpl(userRepository)
    val userUI = UserUI(userUseCase)

    while (true){
        // Меню команд
        println("Выберерите команду:")
        println("1. Авторизация")
        println("2. Регистрация")
        println("3. Выход")
        print("Команда: ")

        // Выбор команды
        val comand = readLine()?.toInt()

        if (comand == 1){
            println("Авторизавия")
            userUI.authorize()
        }
        else if (comand == 2){
            println("Регистрация")
            userUI.registration()
        }
        else if (comand == 3){
            break
        }
        else{
            println("Неверная команда!!!")
        }

    }
}